summaryrefslogtreecommitdiffstats
path: root/win/tools/kde_env
diff options
context:
space:
mode:
Diffstat (limited to 'win/tools/kde_env')
-rwxr-xr-xwin/tools/kde_env29
1 files changed, 29 insertions, 0 deletions
diff --git a/win/tools/kde_env b/win/tools/kde_env
new file mode 100755
index 000000000..5920eae99
--- /dev/null
+++ b/win/tools/kde_env
@@ -0,0 +1,29 @@
+#!/bin/bash
+#
+# KDElibs/win32 Build Environment
+#
+
+# Copy kde_env_custom.template to kde_env_custom and this it's paths if needed:
+
+source "kde_env_custom" || exit 1
+
+if [ -n "$MSVC" ] ; then
+ export PATH="$MSVC\\bin;$PATH" #to avoid conflict with, say, GNU link
+ export INCLUDE="$MSVC\\include;$INCLUDE"
+fi
+
+# Generic settings
+export KDELIBS=$KDEWIN\\kdelibs # KDElibs/win32 source directory
+export INCLUDE="$KDELIBS\\win;$KDELIBS;$KDELIBS\\kdecore;$KDELIBS\\kdefx;$KDELIBS\\kdeprint;$KDELIBS\\kdeui;$KDELIBS\\kmdi;$KDELIBS\\dcop;$KDELIBS\\kio;$KDELIBS\\kio\\kio;$KDELIBS\\kio\\kfile;$INCLUDE"
+
+# Version information for binaries
+# We're changing this from time to time
+
+export KDE_VER_MAJ=3
+export KDE_VER_MIN=5
+export KDE_VER_PAT=0
+export KDE_VER=$KDE_VER_MAJ$KDE_VER_MIN$KDE_VER_PAT
+
+# Utils
+
+export MAKE="nmake /NOLOGO"